Subject: Re: [Unbearable] Answer to WGLC for core document set

From: John Bradley <[email-masked]>
Date: Wed, 30 Nov 2016 21:43:34 -0300

Bob's private key needs to be used to sign the EKM for Alice's TLS session
where she would present the cookie or token.

Otherwise the server that receives the bound token will reject it because
Alice cannot prove possession of the token binding ID associated with that
token.

Alice needs to provide her key material to Bob or Bob needs to provide his
to Alice for your collision to work.

Regards
John B.

On Nov 30, 2016 21:36, <[email-masked]> wrote:

> For this attack to work Bob would also need to transmit the token binding
> keys for the issued token to Alice.
>
> Is that what you mean by the collision attack?
>
> Would addressing in security considerations that this won't protect
> against user collision unless the token binding keys are stored in some
> sort of secure storage and not extractable by the user, satisfy your
> concern, Or are you imagining some other method of binding the token.
>
> Regards
> John B
>
> On Nov 30, 2016 19:22, <[email-masked]> wrote:
>
>> This set of documents failed to meet the terms of références of the WG
>> charter.
>>
>> It is not resistant to the ABC attack (Alice and Bob collusion attack).
>> In this attack Bob who is older than 18 colloborates with Alice and
>> transmits a token to Alice who is only 14 so that she can démonstrateur to
>> a RS that she is older than 18.
>>
>> This kind of attack is not even mentionned in the security considerations
>> section.
>>
>> This set of documents should not be progressed to IETF last call unless
>> the attack can be countered.
>>
>> Denis
>> >>
>> >> > This starts a working group last call for the following documents:
>> >> >
>> >> > draft-ietf-tokbind-https-06
>> >> > draft-ietf-tokbind-negotiation-05
>> >> > draft-ietf-tokbind-protocol-10
>> >> >
>> >> > Any comments should be send to the list before EOB November 30th
>> >>
>> >>
>> >> Ok, I have some modest editorial comments/polishing I'm trying to get
>> >> done, but the 2 week WGLC is sorta short given us american's feast of
>> >> thanksgiving last week and various end-of-year corporate must-dos.
>> I'll get
>> >> my comments in by the end of this week, I trust that'll be ok.
>> >>
>> >> thanks,
>> >>
>> >> =JeffH
>> >>
>> >> _______________________________________________
>> >> Unbearable mailing list
>> >> [email-masked]
>> >> https://www.ietf.org/mailman/listinfo/unbearable
>> >>
>> >
>> >
>> >
>> > --
>> > <https://www.pingidentity.com/>
>> > <https://www.pingidentity.com/>
>> > Brian Campbell
>> > Distinguished Engineer
>> > [email-masked]
>> > w: +1 720.317.2061 <(720)%20317-2061>
>> > c: +1 303.918.9415 <(303)%20918-9415>
>> > Connect with us: 
>> > <https://www.glassdoor.com/Overview/Working-at-Ping-Identity
>> -EI_IE380907.11,24.htm> [image:
>> > LinkedIn logo] <https://www.linkedin.com/company/21870> [image: twitter
>> > logo] <https://twitter.com/pingidentity> 
>> > <https://www.facebook.com/pingidentitypage> 
>> > <https://www.youtube.com/user/PingIdentityTV> 
>> > <https://plus.google.com/u/0/114266977739397708540> 
>> > <https://www.pingidentity.com/en/blog.html>
>> > <https://www.pingidentity.com/en/about.html>
>> > _______________________________________________
>> > Unbearable mailing list
>> > [email-masked]
>> > https://www.ietf.org/mailman/listinfo/unbearable
>> >
>> >
>> >
>>
>>
>> --
>> <https://www.pingidentity.com>
>> <https://www.pingidentity.com>
>> Brian Campbell
>> Distinguished Engineer
>> [email-masked]
>> w: +1 720.317.2061
>> c: +1 303.918.9415
>> Connect with us: 
>> <https://www.glassdoor.com/Overview/Working-at-Ping-Identity
>> -EI_IE380907.11,24.htm>
>> [image:
>> LinkedIn logo] <https://www.linkedin.com/company/21870> [image: twitter
>> logo] <https://twitter.com/pingidentity> 
>> <https://www.facebook.com/pingidentitypage> 
>> <https://www.youtube.com/user/PingIdentityTV> 
>> <https://plus.google.com/u/0/114266977739397708540> 
>> <https://www.pingidentity.com/en/blog.html>
>> <https://www.pingidentity.com/en/about.html>
>>
>>